import 'package:json_annotation/json_annotation.dart';

part 'default_avatar_info.g.dart';

@JsonSerializable()
class DefaultAvatarInfo {
  @JsonKey(name: 'maleAvatars')
  List<String>? maleAvatars;

  @JsonKey(name: 'femaleAvatars')
  List<String>? femaleAvatars;

  DefaultAvatarInfo(this.maleAvatars, this.femaleAvatars);

  factory DefaultAvatarInfo.fromJson(Map<String, dynamic> json) =>
      _$DefaultAvatarInfoFromJson(json);

  Map<String, dynamic> toJson() => _$DefaultAvatarInfoToJson(this);
}
